Subject: [bug#56286] [PATCH v2 6/6] gnu: Add pkgconf.

From: Efraim Flashner <[email-masked]>
Date: Wed, 3 Aug 2022 19:21:06 +0300

On Wed, Jun 29, 2022 at 01:34:45AM +0200, Maxime Devos wrote:
> ( via Guix-patches via schreef op di 28-06-2022 om 21:34 [+0100]:
> > +     (native-search-paths (package-native-search-paths %pkg-config))
> 
> If it's anything like 'pkg-config', it should usually be in
> 'search-paths' for cross-compilation (for cross-pkg-config)
> (native-search-paths would work too when compiling natively,
> but only because currently then native-inputs and inputs are
> merged together).
> 
> OTOH, I think those kind of changes are best done with some
> concrete test cases in mind (maybe the package depending on pkgconf
> that will be packaged later?) otherwise it's a bit speculative on what
> will works and what not, but I believe it's something to keep in mind
> for later.
> 
> (So TBC: I don't expect changes to the patch, but I expect changes will
> be needed later, though only once we have concrete packages to actually
> test them on).

I talked with some Debian folks at Debconf, pkgconf is supposed to be
able to function as a drop-in replacement for pkg-config, so I assume we
should be able to reuse the search-paths exactly from pkg-config.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted